Subject: Re: [v6ops] I-D Action: draft-ietf-v6ops-ula-usage-recommendations-04.txt

From: James Woodyatt <[email-masked]>
Date: Thu, 5 Nov 2015 10:41:07 +0900

Everyone—

This draft A) uses normative requirements language with RFC 2119 keywords and B) calls for publication in the Informational category. Is the document really intended for the Best Current Practice (BCP) category? If not, could we please either remove the citation of RFC 2119 and all the usage of upper case keywords, or insert an explanation for why the document uses normative requirements language despite being an Informational category document?

—james

---

From: "Liubing (Leo)" <[email-masked]>
Date: Thu, 5 Nov 2015 02:36:06 +0000

Hi James,

Thanks for raising this issue.

This draft originally intended to be BCP, but it was changed to Informational later, according to WG’s consensus at that time.
The BCP category in current draft should be editorial issue, I’ll fix it in the next version, as well as rephrasing the RFC2119 words.

Best regards,
Bing

From: v6ops [mailto:[email-masked]] On Behalf Of James Woodyatt
Sent: Thursday, November 05, 2015 10:41 AM
To: V6OPS Working Group
Subject: Re: [v6ops] I-D Action: draft-ietf-v6ops-ula-usage-recommendations-04.txt

Everyone—

—james

---

From: David Farmer <[email-masked]>
Date: Wed, 4 Nov 2015 22:30:03 -0600

On 11/4/15 19:41 , James Woodyatt wrote:
> Everyone—
>
> This draft A) uses normative requirements language with RFC 2119
> keywords and B) calls for publication in the Informational category. Is
> the document really intended for the Best Current Practice (BCP)
> category? If not, could we please either remove the citation of RFC 2119
> and all the usage of upper case keywords, or insert an explanation for
> why the document uses normative requirements language despite being an
> Informational category document?

The only use of use upper case RFC2119 keywords in the document are in 
quotes from other documents.  Such use seem appropriate, even if you 
think upper case RFC2119 keywords are not normally appropriate in an 
Informational category document.  Since quotes using upper case RFC2119 
keywords are included I think the citation of RFC 2119 is also 
appropriate and clarifies their use.

-- 
================================================
David Farmer               Email: [email-masked]
Office of Information Technology
University of Minnesota
2218 University Ave SE     Phone: 1-612-626-0815
Minneapolis, MN 55414-3029  Cell: 1-612-812-9952
================================================

---

From: James Woodyatt <[email-masked]>
Date: Thu, 5 Nov 2015 14:33:49 +0900

On Nov 5, 2015, at 13:30, David Farmer <[email-masked]> wrote:
> 
> The only use of use upper case RFC2119 keywords in the document are in quotes from other documents.  Such use seem appropriate, even if you think upper case RFC2119 keywords are not normally appropriate in an Informational category document.  Since quotes using upper case RFC2119 keywords are included I think the citation of RFC 2119 is also appropriate and clarifies their use.

Indeed. I didn’t notice that. The text in section 2, Requirements Language, doesn’t actually observe that RFC 2119 keywords only appear in quotations taken from other Standards Track documents, and hence the reason that only the ALL CAPS versions of the keywords are interpreted as normative requirements language. I think, perhaps, more clarification would have helped.

The way I got started down that path was noting the sentence in section 4.2.1 that reads "Thus this document does not recommend the use of ULA+NPTv6” and thinking, hey, this document actually cites RFC 2119 and that phrase “does not recommend” looks suspiciously like the RFC 2119 keyword “not recommended” while not actually being an instance of it. Furthermore, the exception statement that only the ALL CAPS versions of the keywords are interpreted as normative requirements language is a peculiar feature of this draft, not commonly used in other documents, and the reason for it escaped me at the time.

—james

---

From: Mark Andrews <[email-masked]>
Date: Thu, 05 Nov 2015 17:40:52 +1100

In message <[email-masked]>, David Farmer writes:
> > Everyone-

Then you have to think about all use of "must", "should" etc. in
terms of RFC2119.  For reference I've got drafts which quote
documents with RFC2119 semantics but have not cited RFC 2119.

There is also nothing preventing the use of RFC 2119 in BCP or INFO
documents.  The use of RFC 2119 does not imply standard.

Mark

> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops

-- 
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742                 INTERNET: [email-masked]

---

From: David Farmer <[email-masked]>
Date: Thu, 5 Nov 2015 10:05:53 -0600

> On Nov 5, 2015, at 00:40, Mark Andrews <[email-masked]> wrote:
> 

Personally, I don't like the inclusion of any capitalized  RFC2119 key words without the inclusion of a RFC2119 reference to clarify their meaning.

> documents.  The use of RFC 2119 does not imply standard.

I agree, however, I decided not to argue that point.  In the document in question the author choose to only capitalize the RFC2119 key words in the quotes from other documents and therefore included the reference, this seemed reasonable to me in the context of the document and well within the discretion of the author.   I expect even for those who think Informational documents should not use capitalized RFC2119 key words, they would recognize and exception for quotes from other documents. 

I believe it is reasonable to use use capitalized RFC2119 key words in any document anywhere and reference RFC2119.  For Informational documents, within reasonable limits, this should be a style question left to the discretion of the author.  For Standards Track or BCP documents there is an expectation to use capitalized RFC2119 key words when make normative statements.  But even this isn't an absolute.  In my opinion even here, within reason, the author should have discretion, but for clarity I believe it is necessary for an author to explain any deviation from this expectation. 

-- 
===============================================
David Farmer                          Email: [email-masked]
Office of Information Technology
University of Minnesota    
2218 University Ave SE         Phone: +1-612-626-0815
Minneapolis, MN 55414-3029   Cell: +1-612-812-9952
===============================================